#
# For managed code (Silverlight 2) mono should be compiled with --enable-moonlight=yes
%global with_managed no
%global with_ffmpeg yes
%global with_cairo system
%global with_alsa yes
%global with_pulse_audio yes

Name:           moonlight
License:        LGPLv2
Group:          Applications/Multimedia
Summary:        An open source implementation of Silverlight
Url:            http://go-mono.com/moonlight/
Version:        1.0.1
Release:        7%{?dist}
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Source:         moon-%{version}.tar.bz2
# Patches from Debian's Jo Shields
# http://svn.debian.org/viewsvn/pkg-mono/moon/trunk/debian/patches/
Patch0:         moon_dont_bail_on_unknown_arches.dpatch
Patch1:         moon_fix_gdk_pointer_size.dpatch

%if %{with_managed} != no
BuildRequires:  gtk-sharp2 mono-devel monodoc-core rsvg2-sharp
%endif

%if %{with_ffmpeg} == yes
BuildRequires:  ffmpeg-devel
%endif

%if %{with_pulse_audio} == yes   
BuildRequires:  pulseaudio-libs-devel
%endif

BuildRequires:  cairo-devel
BuildRequires:  alsa-lib-devel gcc-c++ gtk2-devel
BuildRequires:  expat-devel xulrunner-devel

%description

Moonlight is an open source implementation of Microsoft Silverlight for Unix
systems.

%package libs
Summary:        Libraries for Moonlight 
Group:          Development/Libraries

%description libs
Libraries for Moonlight.

Moonlight is an open source implementation of Microsoft Silverlight for Unix
systems.


%package tools
Summary:        Various tools for Moonlight
Group:          Development/Tools

Requires:       moonlight-libs == %{version}

%description tools
Various tools for Moonlight development.

Moonlight is an open source implementation of Microsoft Silverlight for Unix
systems.


%if %{with_managed} == yes || %{with_managed} == desktop

%package sharp
Summary:        Mono bindings for Moonlight
Group:          Development/Libraries
Requires:       moonlight-libs == %{version}

%description sharp
Mono bindings for Moonlight.

Moonlight is an open source implementation of Microsoft Silverlight for
Unix systems.

%endif

%package plugin
Summary:        Browser plugin for Moonlight
Group:          Applications/Multimedia
Requires:       moonlight-libs = %{version}

%description plugin
Browser plugin for Moonlight.

Moonlight is an open source implementation of Microsoft Silverlight for
Unix systems.

%if %{with_managed} == yes || %{with_managed} == desktop
%package examples
Summary:        Example applications for Moonlight
Group:          Applications/Multimedia
Requires:       moonlight-libs = %{version}

%description examples
Example applications for Moonlight (including desklets).

Moonlight is an open source implementation of Microsoft Silverlight for
Unix systems.
%endif

%prep
%setup -q -n moon-%{version}
%patch0 -p1
%patch1 -p1

%build
%configure --with-ffmpeg=%{with_ffmpeg} \
           --with-managed=%{with_managed} \
           --with-cairo=%{with_cairo} \
           --with-alsa=%{with_alsa} \
           --with-pulse-audio=%{with_pulse_audio}
make %{?_smp_mflags}

%install

rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm %{buildroot}%{_libdir}/libmoon.la
rm %{buildroot}%{_libdir}/libmoon.so
rm %{buildroot}%{_libdir}/moon/plugin/*.la
rm -rf %{buildroot}%{_libdir}/pkgconfig

mkdir -p %{buildroot}%{_libdir}/mozilla/plugins
pushd %{buildroot}%{_libdir}/mozilla/plugins
ln -s ../../moon/plugin/libmoonloader.so libmoonloader.so
popd 

%clean
rm -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files libs
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO NEWS
%{_libdir}/libmoon.so.*

%files tools
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO NEWS
%{_bindir}/mopen1

%if %{with_managed} == yes || %{with_managed} == desktop
%dir %{_libdir}/moon
%{_bindir}/mopen
%{_libdir}/moon/mopen.exe*
%{_mandir}/man1/mopen.1.gz
%{_bindir}/xamlg
%{_libdir}/moon/xamlg.exe
%{_mandir}/man1/xamlg.1.gz
%{_bindir}/xaml2html
%{_libdir}/moon/xaml2html.exe
%{_bindir}/mxap
%{_libdir}/moon/mxap.exe
%{_mandir}/man1/mxap.1.gz
%{_bindir}/respack
%{_libdir}/moon/respack.exe
%{_mandir}/man1/respack.1.gz
#%{_bindir}/svg2xaml
#%{_libdir}/moon/svg2xaml.exe
%{_mandir}/man1/svg2xaml.1.gz
%endif

%if %{with_managed} == yes || %{with_managed} == desktop
%files sharp
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO NEWS
%dir %{_libdir}/mono/3.0
%dir %{_libdir}/mono/gac/Mono.Moonlight
%dir %{_libdir}/mono/gac/System.Windows
%dir %{_libdir}/mono/gac/System.Windows.Browser
%dir %{_libdir}/mono/gac/gtksilver
%dir %{_libdir}/mono/moon
%{_libdir}/pkgconfig/gtksilver.pc
%{_libdir}/mono/gac/gtksilver/*
%{_libdir}/mono/moon/gtksilver.dll
%{_libdir}/monodoc/sources/gtksilver.source
%{_libdir}/monodoc/sources/gtksilver.tree
%{_libdir}/monodoc/sources/gtksilver.zip
%{_libdir}/mono/3.0/*
%{_libdir}/mono/gac/Mono.Moonlight/3.*
%{_libdir}/mono/gac/System.Windows/3.*
%{_libdir}/mono/gac/System.Windows.Browser/3.*
%{_libdir}/pkgconfig/agmono.pc
%{_libdir}/pkgconfig/silver.pc
%{_libdir}/pkgconfig/silverdesktop.pc
%endif

%if %{with_managed} == yes || %{with_managed} == desktop
%files examples
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO NEWS
%{_bindir}/example-*
%dir %{_libdir}/desklets
%{_libdir}/desklets/example-*
%endif

%files plugin
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO NEWS
%dir %{_libdir}/moon
%dir %{_libdir}/moon/plugin
%{_libdir}/moon/plugin/README
%{_libdir}/moon/plugin/libmoonloader.so
%{_libdir}/moon/plugin/libmoonplugin.so
%{_libdir}/mozilla/plugins/libmoonloader.so
#%{_libdir}/moon/plugin/libmoonplugin-*bridge.so*

%if %{with_managed} == yes || %{with_managed} == plugin
%{_libdir}/moon/plugin/moonlight.exe
%{_libdir}/mono/2.1/*
%{_libdir}/mono/gac/Mono.Moonlight/2.*
%{_libdir}/mono/gac/System.Windows/2.*
%{_libdir}/mono/gac/System.Windows.Browser/2.*
%endif

%if %{with_managed} == plugin
%dir %{_libdir}/mono/gac/Mono.Moonlight
%dir %{_libdir}/mono/gac/System.Windows
%dir %{_libdir}/mono/gac/System.Windows.Browser
%endif

%changelog
* Fri May 22 2009 Ismael Olea <ismael@olea.org> 1.0.1-7
- cosmetic changes.

* Thu May 7 2009 Ismael Olea <ismael@olea.org> 1.0.1-6
- added patch http://svn.debian.org/viewsvn/pkg-mono/moon/trunk/debian/patches/moon_dont_bail_on_unknown_arches.dpatch?revision=3920&view=markup
- added patch http://svn.debian.org/viewsvn/pkg-mono/moon/trunk/debian/patches/moon_fix_gdk_pointer_size.dpatch?revision=3966&view=markup

* Sat May 2 2009 Ismael Olea <ismael@olea.org> 1.0.1-5
- cosmetic spec enhancements

* Sun Mar 22 2009 Ismael Olea <ismael@olea.org> 1.0.1-4
- compiling using ffmpeg https://bugzilla.rpmfusion.org/show_bug.cgi?id=436#c20

* Sun Mar 22 2009 Ismael Olea <ismael@olea.org> 1.0.1-3
- cosmetic changes https://bugzilla.rpmfusion.org/show_bug.cgi?id=436#c18

* Wed Mar 17 2009 Ismael Olea <ismael@olea.org> 1.0.1-2
- attending comments on https://bugzilla.rpmfusion.org/show_bug.cgi?id=436
- cleaning susism's
- added pulseaudio-libs-devel dependency
- rpmlint cleaning

* Sat Mar 14 2009 Ismael Olea <ismael@olea.org> 1.0.1-1
- update to 1.0.1 for Fedora 10
- rpmlint cleaning

* Thu Nov 20 2008 rhowell@novell.com
- update to 1.0b2
- Fixes urls to Moonlight codecs/Eulas
* Tue Nov 11 2008 rhowell@novell.com
- update to 1.0b1
- Fixes libxcb issues on SLE10 (bnc438265)
- Fixes media playback (bnc442895,438404,439225,435908,435912,434462,
  434267,433621,425264)
- Udpate to embedded cairo and pixman (bnc432725)
- Performance fixes (bnc435431,432975,412302,402211)
- Animation fixes (bnc435815,434899,434298,434261,434258,429396,434462)
- Disabled managed features
* Thu Oct 16 2008 cthiel@suse.de
- fix requires on moonlight-plugin
* Mon Sep  8 2008 ajorgensen@novell.com
- Switches to allow us to build on older distros
* Thu Sep  4 2008 ajorgensen@novell.com
- -examples requires libmoon0 (not libmoon)
* Tue Sep  2 2008 crrodriguez@suse.de
- fix build, missing libexpat-devel
- add missing -devel package dependencies
- use system cairo & pixman , never a bundled copy (!!)
* Fri Aug 22 2008 ajorgensen@novell.com
- Fix for -debug* packages needing unprovided moonlight
- Allow building on older distros (xulrunner181)
* Mon Aug 18 2008 ajorgensen@novell.com
- Initial upload (0.8.1)
  * Support for Silverlight 1.0 profile
